#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Locale
%define	pnam	Hebrew
Summary:	Locale::Hebrew - Bidirectional Hebrew support
Summary(pl.UTF-8):	Locale::Hebrew - obsługa języka hebrajskiego z dwukierunkowym pismem
Name:		perl-Locale-Hebrew
Version:	1.05
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/Locale-Hebrew-%{version}.tar.gz
# Source0-md5:	424209b23bf423f1923f9b24b5ae2179
Patch0:		format-security.patch
URL:		https://metacpan.org/release/Locale-Hebrew
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is based on code from the Unicode Consortium.

The charset on their code was bogus, therefore this module had to work
the real charset from scratch. There might have some mistakes, though.

One function, hebrewflip, is exported by default.

%description -l pl.UTF-8
Ten moduł jest oparty na kodzie z Unicode Consortium. Zestaw znaków w
tamtym kodzie był błędny, więc obsługa prawdziwego zestawu znaków
musiała być napisana od zera. Może jednak zawierać błędy.

Domyślnie eksportowana jest jedna funkcja - hebrewflip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Locale/Hebrew.pm
%dir %{perl_vendorarch}/auto/Locale/Hebrew
%{perl_vendorarch}/auto/Locale/Hebrew/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/Hebrew/Hebrew.so
%{_mandir}/man3/Locale::Hebrew.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-Hebrew.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d82bf59
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> b91e42c
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e8121d
- more verbose files

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 9b3eb3b
- updated URLs

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> a4435cd
- updated macros version

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> d7a0c01
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cf275d3
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> c05c99e
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 5c8c38f
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a5801b7
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7d40b79
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 0f54efc
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1ad04a3
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 795af96
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1c7c8ee
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 952d4a0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 95f7dbd
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 49532ae
- fix format string error
- rel 2

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 86f60e9
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> d261459
- tests BR: perl-Encode

